﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace dockmanagertest
{
    public partial class Form1 : Form
    {
        private int _leftPanelWidth;
        private int _rightPanelWidth;
        public Form1()
        {
            InitializeComponent();

            _leftPanelWidth = ultraDockManager1.DockAreas[0].Panes[0].Size.Width;
            //_rightPanelWidth = ultraDockManager1.DockAreas[1].Panes[0].Size.Width;

            tsbLeftPane.Click += tsbLeftPane_Click;
            //tsbRightPane.Click += tsbRightPane_Click;
            ultraDockManager1.AfterSplitterDrag += ultraDockManager1_AfterSplitterDrag;
        }

        void ultraDockManager1_AfterSplitterDrag(object sender, Infragistics.Win.UltraWinDock.PanesEventArgs e)
        {
            var x = 0;
        }

        void tsbLeftPane_Click(object sender, EventArgs e)
        {
            _leftPanelWidth += 100;
            var myPane = ultraDockManager1.DockAreas[0].Panes[0];
            myPane.Size = new Size(_leftPanelWidth, myPane.Size.Height);
        }

        void tsbRightPane_Click(object sender, EventArgs e)
        {
            _rightPanelWidth += 100;
            var myPane = ultraDockManager1.DockAreas[1].Panes[0];
            myPane.Size = new Size(_rightPanelWidth, myPane.Size.Height);
        }
    }
}
